# PRIVATE CLASS: do not call directly
define postgresqlxc::gtm::initgtm (
  $user,
  $group,
  $bin_dir,
  $pg_dir,
  $db_type,
  $data_dir
) {
  # Make sure the data directory exists, and has the correct permissions.
  file {"${pg_dir}/${db_type}":
    ensure => directory,
    owner  => $user,
    group  => $group,
    mode   => '0700',
  }

  file {$data_dir:
    ensure => directory,
    owner  => $user,
    group  => $group,
    mode   => '0700',
  }

  $init_command = "$bin_dir/initgtm -Z ${db_type} -D '${data_dir}' && cp ${data_dir}/${db_type}.conf ${data_dir}/${db_type}.conf.original"
  $creates	  = "${data_dir}/${db_type}.conf"

  # This runs the initdb command, we use the existance of the PG_VERSION
  # file to ensure we don't keep running this command.
  exec { "initgtm-${db_type}":
    command   => $init_command,
    creates   => $creates,
    user      => $user,
    group     => $group,
    logoutput => on_failure
  }

  File["${pg_dir}/${db_type}"] -> File[$data_dir] -> Exec["initgtm-${db_type}"]
}
