# Basic install class
class postgresqlxc::install inherits postgresqlxc::params {
  $user                       = $postgresqlxc::params::user
  $group                      = $postgresqlxc::params::group
  $pg_dir                     = $postgresqlxc::params::pg_dir
  $package_name               = $postgresqlxc::params::server_package
  $user_is_virtualized        = $postgresqlxc::params::user_is_virtualized

  if $user_is_virtualized == true {
    realize ( User[$user], Group[$group] )
  }
  else {
    create_resources(group, { "$group" => $postgresqlxc::params::pgxc_group_params }) 
    create_resources(user,  { "$user" => $postgresqlxc::params::pgxc_user_params  }) 
  }

  file { $pg_dir:
    owner   => $user,
    group   => $group,
    ensure  => directory,
    mode    => '0700'
  }

  package { $package_name:
    tag    => 'postgresql_pkgs',
    ensure => 'installed'
  }

  User[$user] -> File[$pg_dir] -> Package[$package_name]

}
