# PRIVATE CLASS: do not call directly
define postgresqlxc::server::config(
  $user,
  $group,
  $base_dir,
  $data_dir,
  $bin_dir,
  $db_type,
  $node_name,
  $service_name,
  $postgresql_tmpl,
  $postgresql_params,
  $pg_hba_tmpl,
  $pg_hba_params,
  $default_pg_hba_params,
  $init_tmpl,
  $init_params
) {

  $quote_params	= $postgresqlxc::params::quote_params

  File {
    owner  => $user,
    group  => $group,
  }

  file {"${data_dir}/pg_hba.conf":
    content => template($pg_hba_tmpl)
  }

  file {"${data_dir}/postgresql.conf":
    content => template($postgresql_tmpl)
  }

  file {"/etc/init.d/${service_name}":
    content => template($init_tmpl),
    owner   => 0,
    group   => 0,
    mode    => '0755'
  }

}
