# PRIVATE CLASS: do not call directly
define postgresqlxc::server::initdb (
  $user,
  $group,
  $initdb_path,
  $data_dir,
  $db_type,
  $node_name
) {
  # This runs the initdb command, we use the existance of the PG_VERSION
  # file to ensure we don't keep running this command.
  exec { "postgresql_initdb-${db_type}-${node_name}":
    command   => "$initdb_path --pgdata '${data_dir}' --nodename '${node_name}' && cp ${data_dir}/postgresql.conf ${data_dir}/postgresql.conf.original",
    creates   => "${data_dir}/PG_VERSION",
    user      => $user,
    group     => $group,
    logoutput => on_failure
  }

}
